PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType > Struct Template Reference

Base class for Elements with common code for 2D and 3D. More...

`#include <plask/mesh/rectangular_masked_common.hpp>`

## Classes
class | const_iterator
| Iterator over elements. More...

## Public Types
using | Element = typename MaskedMeshType::Element
typedef const_iterator | iterator
| Iterator over elements. The same as const_iterator, since non-const iterators are not supported.

## Public Member Functions
| ElementsBase (const MaskedMeshType &maskedMesh)
std::size_t | size () const
| Get number of elements.
const_iterator | begin () const
const_iterator | end () const
Element | operator[] (std::size_t i) const
| Get `i-th` element.

## Public Attributes
const MaskedMeshType * | maskedMesh

## Detailed Description

template<int DIM>
template<typename MaskedMeshType>
struct plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >

Base class for Elements with common code for 2D and 3D.

Definition at line 92 of file rectangular_masked_common.hpp.

## Member Typedef Documentation

## ◆ Element

template<int DIM>
template<typename MaskedMeshType >

using plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::Element = typename MaskedMeshType::Element

Definition at line 94 of file rectangular_masked_common.hpp.

## ◆ iterator

template<int DIM>
template<typename MaskedMeshType >

typedef const_iterator plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::iterator

Iterator over elements. The same as const_iterator, since non-const iterators are not supported.

Definition at line 123 of file rectangular_masked_common.hpp.

## Constructor & Destructor Documentation

## ◆ ElementsBase()

template<int DIM>
template<typename MaskedMeshType >

plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::ElementsBase | ( | const MaskedMeshType & | maskedMesh | ) |
| inline explicit

Definition at line 127 of file rectangular_masked_common.hpp.

## Member Function Documentation

## ◆ begin()

template<int DIM>
template<typename MaskedMeshType >

const_iterator plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::begin | ( |  | ) | const
| inline

Returns
  iterator referring to the first element

Definition at line 136 of file rectangular_masked_common.hpp.

## ◆ end()

template<int DIM>
template<typename MaskedMeshType >

const_iterator plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::end | ( |  | ) | const
| inline

Returns
  iterator referring to the past-the-end element

Definition at line 139 of file rectangular_masked_common.hpp.

## ◆ operator[]()

template<int DIM>
template<typename MaskedMeshType >

Element plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::operator[] | ( | std::size_t | i | ) | const
| inline

Get `i-th` element.

Parameters

  i | element index

Returns
  `i-th` element

Definition at line 146 of file rectangular_masked_common.hpp.

## ◆ size()

template<int DIM>
template<typename MaskedMeshType >

std::size_t plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::size | ( |  | ) | const
| inline

Get number of elements.

Returns
  number of elements

Definition at line 133 of file rectangular_masked_common.hpp.

## Member Data Documentation

## ◆ maskedMesh

template<int DIM>
template<typename MaskedMeshType >

const MaskedMeshType* plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::maskedMesh

Definition at line 125 of file rectangular_masked_common.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/rectangular_masked_common.hpp